Page MenuHomePhabricator

math must always be left-to-right, even when rendered as HTML
Closed, ResolvedPublic

Description

Math formulas are always left-to-right (LTR), even in right-to-left languages. In PNG rendering this works correctly, but in HTML rendering the formula may appear reversed. For example, <math>^{355}/_{113}</math> will look in HTML rendering as 113/355, even though it should be 355/113. Since "HTML if very simple or else PNG" is the default preference, this makes many formulas appear incorrectly in RTL wikis.

When HTML rendering is used, span dir="ltr" or style="direction: rtl" must be applied to the formula.


Version: unspecified
Severity: enhancement

Details

Reference
bz28430

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:33 PM
bzimport added a project: Math.
bzimport set Reference to bz28430.
bzimport added a subscriber: Unknown Object (MLST).
Amire80 created this task.Apr 5 2011, 11:05 AM

fixed in r85464. Also made the plain TeX output mode be ltr. Hope that's correct.

Restricted Application added a project: I18n. · View Herald TranscriptJun 2 2015, 2:21 PM